Amili Docs
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
  • Pay
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
  • Pay
Go to amili.no
  1. Payout
  • AmiliPay API Introduction
  • Industry Categories Reference
  • Webhooks Reference
  • Merchant
    • List all customers
      GET
    • Create customer
      POST
    • Retrieve customer
      GET
    • Update customer
      PUT
    • Create customer token
      POST
    • Retrieve pricing for a merchant
      GET
    • Update pricing for a merchant
      POST
    • List a customer's accepted agreements
      GET
  • User
    • List all users
      GET
    • Create user
      POST
    • Retrieve user
      GET
    • Update user
      PUT
    • Delete user
      DELETE
  • Onboarding
    • Create onboarding application
      POST
    • Retrieve onboarding application
      GET
    • Update onboarding application
      PUT
    • Delete onboarding application
      DELETE
    • Start processing onboarding
      POST
    • Delete onboarding shareholder
      DELETE
    • Create onboarding document
      POST
    • Retrieve onboarding document
      GET
    • Delete onboarding document
      DELETE
    • Retrieve available account agreements
      GET
    • Create onboarding agreement
      POST
    • Mark selected agreement as an accepted by the account
      POST
    • Retrieve a single agreement
      GET
    • Update onboarding agreement
      PUT
    • Deactivate agreement
      DELETE
  • Invoice
    • List all invoices
    • Create invoice
    • Retrieve invoice
    • Update invoice
    • Delete invoice
    • Refund invoice
  • Transactions
    • Get invoice transactions
  • Payout
    • List all payouts
      GET
    • Retrieve payout
      GET
    • Retrieve payout details
      GET
  • Product lines classification
    • Upload a CSV file
    • Manually get processed CSV file path
    • Download a previously uploaded CSV file
  1. Payout

List all payouts

GET
/v1/payouts
Returns the list of payout reports with optional sorting and account filters.

Request

Authorization
API Key
Add parameter in header
X-API-KEY
Example:
X-API-KEY: ********************
or
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
or
Query Params

Responses

🟢200
application/json
OK - snake_case, matching the rest of this API (a previous version of this doc incorrectly described this response as camelCase with no fee/chargeback breakdown; that was a documentation error, not real behavior).
Bodyapplication/json

🟠401
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/v1/payouts?sort_by=amount%7Cstatus%7Ccreation_date&direction=asc%2C%20desc&account_id=1&page=1&per_page=20' \
--header 'X-API-KEY: <api-key>'
Response Response Example
200 - response
{
    "data": [
        {
            "id": 123,
            "uuid": "98d94657-00f6-428e-a278-1370b35ab67a",
            "reference": "8916487859937738",
            "currency": "NOK",
            "amount": 9759,
            "status": "Completed",
            "creation_date": "2026-04-01",
            "updated_at": "2026-04-10T09:15:07",
            "created_at": "2026-04-01T06:06:09",
            "account_id": 41,
            "account_name": "Kautzer LLC",
            "processed_at": "2026-04-10T09:15:07",
            "credited_amount": 9759,
            "rounding": 0,
            "balance_transfer": 0,
            "refund": 0,
            "refund_cost": 0,
            "chargeback": 0,
            "chargeback_cost": 0,
            "chargeback_reversed": 0,
            "chargeback_reversed_cost": 0,
            "second_chargeback": 0,
            "second_chargeback_cost": 0,
            "fees": -241,
            "platform_fee": 0,
            "deposit_correction": 0,
            "next_balance_transfer": 0,
            "scheduled_at": null,
            "batch": null,
            "modification_reference": null
        }
    ]
}
Modified at 2026-09-25 07:15:05
Previous
Get invoice transactions
Next
Retrieve payout
Built with